# search.h File Reference

## Detailed Description

Parallel implementation base for std::search() and std::search_n(). This file is a GNU parallel extension to the Standard C++ Library.

Definition in file search.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_SEARCH_H

## Functions

- template<typename RandomAccessIterator, typename _DifferenceTp> void __gnu_parallel::calc_borders (RandomAccessIterator elements, _DifferenceTp length, _DifferenceTp *off)
- template<typename _RandomAccessIterator1, typename _RandomAccessIterator2, typename Pred> _RandomAccessIterator1 __gnu_parallel::search_template (_RandomAccessIterator1 begin1, _RandomAccessIterator1 end1, _RandomAccessIterator2 begin2, _RandomAccessIterator2 end2, Pred pred)